### Interface

# PangoCairo Font

since: 1.18

#### Description [src]

    interface PangoCairo.Font : Pango.Font

`PangoCairoFont` is an interface exported by fonts for use with Cairo.

The actual type of the font will depend on the particular font technology Cairo was compiled to use.

Available since: 1.18

#### Prerequisite

In order to implement Font, your type must inherit from`PangoFont`.

#### Instance methods

###### pango_cairo_font_get_scaled_font

Gets the `cairo_scaled_font_t` used by `font`. The scaled font can be referenced and kept using cairo_scaled_font_reference().

since: 1.18